gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_i386.deb


Advertisement

Description

gir1.2-webkit2-4.0 - Web content engine library for GTK+ - GObject introspection data

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_i386.deb
Package name gir1.2-webkit2-4.0
Package version 2.20.5
Package release 0ubuntu0.16.04.1
Package architecture i386
Package type deb
Category introspection
Homepage http://webkitgtk.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 67.49 KB
Installed size 406.00 KB
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser.  It is made to be embedded in
other applications, such as mail readers, or web browsers.
It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
WebKit2 is an API layer for WebKit designed from the ground up to
support a split process model, where the web content lives in a
separate process from the application UI.
This build comes from the GTK+ port of WebKit (API version 4.0).
This package contains introspection data, which can be used by
packages using the GIRepository format to generate dynamic bindings.

Alternatives

Package Version Architecture Repository
gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_amd64.deb 2.20.5 amd64 Ubuntu Updates Main
gir1.2-webkit2-4.0_2.10.9-1ubuntu1_i386.deb 2.10.9 i386 Ubuntu Main
gir1.2-webkit2-4.0_2.10.9-1ubuntu1_amd64.deb 2.10.9 amd64 Ubuntu Main
gir1.2-webkit2-4.0 - - -

Requires

Name Value
gir1.2-glib-2.0 -
gir1.2-gtk-3.0 -
gir1.2-javascriptcoregtk-4.0 = 2.20.5-0ubuntu0.16.04.1
gir1.2-soup-2.4 -
libgirepository-1.0-1 >= 1.41.4-1
libwebkit2gtk-4.0-37 >= 2.19.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gir1.2-webkit2-4.0_2.20.5-0ubuntu0.16.04.1_i386.deb
Source Package webkit2gtk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-webkit2-4.0 deb package:
    # sudo apt-get install gir1.2-webkit2-4.0

Files

Path
/usr/lib/i386-linux-gnu/girepository-1.0/WebKit2-4.0.typelib
/usr/lib/i386-linux-gnu/girepository-1.0/WebKit2WebExtension-4.0.typelib
/usr/share/doc/gir1.2-webkit2-4.0/NEWS.Debian.gz
/usr/share/doc/gir1.2-webkit2-4.0/changelog.Debian.gz
/usr/share/doc/gir1.2-webkit2-4.0/copyright

Changelog

2018-08-15 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.20.5-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.20.5 to fix security issues.
- CVE-2018-4246, CVE-2018-4261, CVE-2018-4262, CVE-2018-4263,
CVE-2018-4264, CVE-2018-4265, CVE-2018-4266, CVE-2018-4267,
CVE-2018-4270, CVE-2018-4272, CVE-2018-4273, CVE-2018-4278,
CVE-2018-4284, CVE-2018-12911
* debian/patches/fix-ftbfs-m68k.patch: refreshed with new version.
2018-06-14 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.20.3-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.20.3 to fix security issues.
- CVE-2018-4190, CVE-2018-4199, CVE-2018-4218, CVE-2018-4222,
CVE-2018-4232, CVE-2018-4233, CVE-2018-12293
* debian/patches/fix-atomics-build.patch: refreshed with new version.
* debian/{rules,compat}: Show Ubuntu in user agent (LP: #1770868)
- Thanks to Jeremy Bicha for the patch!
2018-05-07 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.20.2-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.20.2 to fix security issue.
- CVE-2018-4200
2018-04-27 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.20.1-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.20.1 to fix multiple security issues. (LP: #1761289)
- CVE-2018-4101, CVE-2018-4113, CVE-2018-4114, CVE-2018-4117,
CVE-2018-4118, CVE-2018-4119, CVE-2018-4120, CVE-2018-4122,
CVE-2018-4125, CVE-2018-4127, CVE-2018-4128, CVE-2018-4129,
CVE-2018-4133, CVE-2018-4146, CVE-2018-4161, CVE-2018-4162,
CVE-2018-4163, CVE-2018-4165
* debian/patches/*.patch: refreshed.
* debian/rules: disable WOFF2, disabe GEOLOCATION.
* debian/libwebkit2gtk-4.0-37.symbols: updated for new version.
2018-01-29 - Chris Coulson <chris.coulson@canonical.com>
webkit2gtk (2.18.6-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.18.6 to fix multiple security issues.
- CVE-2017-7153, CVE-2017-7160, CVE-2017-7161, CVE-2017-7165,
CVE-2017-13884, CVE-2017-13885, CVE-2018-4088, CVE-2018-4096
2018-01-10 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.18.5-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.18.5 to add Spectre mitigations.
- CVE-2017-5715, CVE-2017-5753
2017-12-20 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.18.4-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.18.4 to fix multiple security issues.
- CVE-2017-7156, CVE-2017-13856, CVE-2017-13866, CVE-2017-13870.
* debian/patches/*.patch: refreshed.
* Set distributor name in User Agent string.
- debian/patches/user-agent-branding.patch: add optional distributor
string to user agent.
- debian/rules: set -DUSER_AGENT_GTK_DISTRIBUTOR_NAME.
2017-11-14 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.18.3-0ubuntu0.16.04.1) xenial-security; urgency=medium
* Updated to 2.18.3 to fix multiple security issues.
- CVE-2017-13783, CVE-2017-13784, CVE-2017-13785, CVE-2017-13788,
CVE-2017-13791, CVE-2017-13792, CVE-2017-13793, CVE-2017-13794,
CVE-2017-13795, CVE-2017-13796, CVE-2017-13798, CVE-2017-13802,
CVE-2017-13803
* debian/patches/*.patch: refreshed.
2017-10-19 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
webkit2gtk (2.18.0-0ubuntu0.16.04.2) xenial-security; urgency=medium
* Updated to 2.18.0 to fix multiple security issues.
- CVE-2017-7087, CVE-2017-7089, CVE-2017-7090, CVE-2017-7091,
CVE-2017-7092, CVE-2017-7093, CVE-2017-7095, CVE-2017-7096,
CVE-2017-7098, CVE-2017-7100, CVE-2017-7102, CVE-2017-7104,
CVE-2017-7107, CVE-2017-7109, CVE-2017-7111, CVE-2017-7117,
CVE-2017-7120
* debian/control: add libtasn1-6-dev to BuildDepends.
* debian/rules: use USE_GSTREAMER_GL=OFF.
* debian/rules: use ENABLE_WEB_CRYPTO=OFF since libgcrypt is too old.
* debian/rules: don't use ENABLE_ASSEMBLER=0.
* debian/libwebkit2gtk-4.0-37.symbols: updated for new version.

See Also

Package Description
git-core_2.7.4-0ubuntu1.6_all.deb fast, scalable, distributed revision control system (obsolete)
git-doc_2.7.4-0ubuntu1.6_all.deb fast, scalable, distributed revision control system (documentation)
git-man_2.7.4-0ubuntu1.6_all.deb fast, scalable, distributed revision control system (manual pages)
git_2.7.4-0ubuntu1.6_i386.deb fast, scalable, distributed revision control system
gitk_2.7.4-0ubuntu1.6_all.deb fast, scalable, distributed revision control system (revision tree visualizer)
glance-store-common_0.13.0-3ubuntu0.16.04.1_all.deb OpenStack Image Service store library - common files
glib-networking-common_2.48.2-1~ubuntu16.04.1_all.deb network-related giomodules for GLib - data files
glib-networking-services_2.48.2-1~ubuntu16.04.1_i386.deb network-related giomodules for GLib - D-Bus services
glib-networking_2.48.2-1~ubuntu16.04.1_i386.deb network-related giomodules for GLib
glibc-doc_2.23-0ubuntu11_all.deb GNU C Library: Documentation
gnome-accessibility-themes_3.18.0-2ubuntu2_all.deb Accessibility themes for the GNOME desktop
gnome-calculator_3.18.3-0ubuntu1.16.04.1_i386.deb GNOME desktop calculator
gnome-calendar_3.20.4-0ubuntu0.1_i386.deb Calendar application for GNOME
gnome-disk-utility_3.18.3.1-1ubuntu1.1_i386.deb manage and configure disk drives and media
gnome-font-viewer_3.16.2-1ubuntu1_i386.deb font viewer for GNOME
Advertisement
Advertisement